.module-popup {
    @apply relative;
    @apply flex justify-center items-center;
    @apply w-0 h-0;
    @apply overflow-hidden;

    .overlay {
        @apply fixed;
        @apply hidden;
        @apply w-screen h-screen;
        @apply top-0 left-0;
        @apply bg-brand-black;
        @apply transition-opacity ease-in-out duration-200;
    }

    .popup {
        @apply w-10/12;
        @apply z-30;
        @apply bg-white;
        @apply flex flex-col items-center justify-center;
        @apply rounded-lg p-4;
        @apply transform translate-y-20;
        @apply transition ease-in-out duration-200;

        .title {
            @apply text-brand-black text-3xl font-bold text-center;
        }

        .message {
            @apply text-brand-black;
        }

        .warning {
            @apply text-brand-red;
        }

        .form {
            @apply my-6;

            .form-control {
                @apply flex flex-col items-start;
                @apply text-brand-black text-xl;

                // Input
                input {
                    @apply px-4 py-1;
                    @apply my-4;
                    @apply border-brand-green border rounded;

                    // Error and message
                    &~.error {
                        @apply text-brand-red text-sm;

                        .message {
                            @apply ml-1 text-brand-red;
                        }
                    }

                }
            }


        }

        .actions {
            @apply w-full;
            @apply mt-4;
            @apply flex justify-around items-center;

            button {
                @apply font-bold py-2 px-4 rounded;

                &:focus {
                    @apply outline-none;
                }
            }

            .delete {
                @apply bg-brand-red text-white;

                &:hover {
                    @apply bg-red-600;
                }
            }

            .cancel {
                @apply border-2 border-brand-black text-brand-black;

                &:hover {
                    @apply border-brand-red text-brand-red;
                }
            }
        }
    }

    &.open {
        @apply fixed;
        @apply z-20;
        @apply top-0 left-0;
        @apply w-screen h-screen;

        .overlay {
            opacity: 35%;
            @apply block;
        }

        .popup {
            opacity: 1;
            @apply transform translate-y-0;
        }
    }
}

@screen md {
    .module-popup {
        .popup {
            @apply w-7/12;
        }
    }
}

@screen lg {
    .module-popup {
        .popup {
            @apply w-5/12;
        }
    }
}